### org.jfree.layouting.renderer.model.page

# Class PhysicalPageBox

- `java.lang.Object`
- - `org.jfree.layouting.renderer.model.page.PhysicalPageBox`

Implemented Interfaces:
  Cloneable

`public class PhysicalPageBox`
`extends java.lang.Object`
`implements Cloneable`

Defines the properties of a single physical page. In a later version, this box may receive physical page header and footer or may even support the full CSS-pagebox modell.

  ## Constructor Summary

  `PhysicalPageBox(PageContext pageContext, OutputProcessorMetaData metaData, long globalX, long globalY)`

  ## Method Summary

  `Object`

  `clone()`

  `long`

  `getGlobalX()`

  `long`

  `getGlobalY()`

  `long`

  `getHeight()`

  `long`

  `getImageableHeight()`

  `long`

  `getImageableWidth()`

  `long`

  `getImageableX()`

  `long`

  `getImageableY()`

  `PageContext`

  `getPageContext()`

  `long`

  `getWidth()`

  `void`

  `setGlobalX(long globalX)`

  `void`

  `setGlobalY(long globalY)`

## Constructor Details

### PhysicalPageBox

    public PhysicalPageBox(PageContext pageContext,
                           OutputProcessorMetaData metaData,
                           long globalX,
                           long globalY)

## Method Details

### clone

    public Object clone()
                throws CloneNotSupportedException

### getGlobalX

    public long getGlobalX()

### getGlobalY

    public long getGlobalY()

### getHeight

    public long getHeight()

### getImageableHeight

    public long getImageableHeight()

### getImageableWidth

    public long getImageableWidth()

### getImageableX

    public long getImageableX()

### getImageableY

    public long getImageableY()

### getPageContext

    public PageContext getPageContext()

### getWidth

    public long getWidth()

### setGlobalX

    public void setGlobalX(long globalX)

### setGlobalY

    public void setGlobalY(long globalY)